Subject: bug#11218: with-demoted-errors use of condition-case-unless-debug; ert

From: Glenn Morris <[email-masked]>
Date: Wed, 11 Apr 2012 12:28:27 -0400

Glenn Morris wrote:

>>> If I want to debug a condition-case, I'll set debug-on-signal non-nil.
>
> That's not an ert bug. :)

To expand: why does with-demoted-errors use a different form of
condition-case, and hence treat debugging differently, to the
pre-existing ignore-errors? The former doesn't let you have control; the
latter does.